Namespaces - Create Or Update

Skapar eller uppdaterar ett namnområde. När det här namnområdet har skapats är resursmanifestet oföränderligt. Den här åtgärden är idempotent.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.EventHub/namespaces/{namespaceName}?api-version=2026-01-01

URI-parametrar

Name I Obligatorisk Typ Description
namespaceName
path True

string

minLength: 6
maxLength: 50
pattern: ^[a-zA-Z][a-zA-Z0-9-]{6,50}[a-zA-Z0-9]$

Namnområdesnamnet

resourceGroupName
path True

string

minLength: 1
maxLength: 90

Namnet på resursgruppen. Namnet är skiftlägesokänsligt.

subscriptionId
path True

string

minLength: 1

ID för målprenumerationen.

api-version
query True

string

minLength: 1

Den API-version som ska användas för den här åtgärden.

Begärandetext

Name Typ Description
identity

Identity

Egenskaper för BESKRIVNING av BYOK-identitet

location

string

Den geo-plats där resursen finns

properties.alternateName

string

Alternativt namn som anges när alias- och namnområdesnamn är samma.

properties.clusterArmId

string

Kluster-ARM-ID för namnområdet.

properties.disableLocalAuth

boolean

Den här egenskapen inaktiverar SAS-autentisering för Event Hubs-namnområdet.

properties.encryption

Encryption

Egenskaper för beskrivning av BYOK-kryptering

properties.geoDataReplication

GeoDataReplicationProperties

Inställningar för geo-datareplikering för namnområdet

properties.ipV6Enabled

boolean

Värde som anger om IPv6 är aktiverat för offentlig nätverksåtkomst.

properties.isAutoInflateEnabled

boolean

Värde som anger om AutoInflate är aktiverat för eventhub-namnområdet.

properties.kafkaEnabled

boolean

Värde som anger om Kafka är aktiverat för eventhub-namnområdet.

properties.maximumThroughputUnits

integer (int32)

minimum: 0

Den övre gränsen för dataflödesenheter när AutoInflate är aktiverat bör värdet ligga inom 0 till 20 dataflödesenheter. ( '0' om AutoInflateEnabled = sant)

properties.minimumTlsVersion

TlsVersion

Den lägsta TLS-versionen för klustret som ska stödjas, t.ex. "1.2"

properties.platformCapabilities

PlatformCapabilities

properties.privateEndpointConnections

PrivateEndpointConnection[]

Lista över privata slutpunktsanslutningar.

properties.publicNetworkAccess

PublicNetworkAccess

Detta avgör om trafik tillåts via offentligt nätverk. Som standard är den aktiverad.

properties.zoneRedundant

boolean

När du aktiverar den här egenskapen skapas ett Standard Event Hubs-namnområde i regioner som stöds tillgänglighetszoner.

sku

Sku

Egenskaper för sku-resurs

tags

object

Resursetiketter.

Svar

Name Typ Description
200 OK

EHNamespace

Uppdateringsåtgärden för resursen "EHNamespace" lyckades

201 Created

EHNamespace

Resursen "EHNamespace" create-åtgärden lyckades

Sidhuvuden

Azure-AsyncOperation: string

202 Accepted

Resursåtgärden har godkänts.

Sidhuvuden

  • Location: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

Ett oväntat felsvar.

Säkerhet

azure_auth

Azure Active Directory OAuth2 Flow.

Typ: oauth2
Flow: implicit
Auktoriseringswebbadress: https://login.microsoftonline.com/common/oauth2/authorize

Omfattningar

Name Description
user_impersonation personifiera ditt användarkonto

Exempel

NamespaceCreate
NamespaceWithGeoDRCreate

NamespaceCreate

Exempelbegäran

PUT https://management.azure.com/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.EventHub/namespaces/NamespaceSample?api-version=2026-01-01

{
  "identity": {
    "type": "SystemAssigned, UserAssigned",
    "userAssignedIdentities": {
      "/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.ManagedIdentity/userAssignedIdentities/ud1": {},
      "/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.ManagedIdentity/userAssignedIdentities/ud2": {}
    }
  },
  "location": "East US",
  "properties": {
    "clusterArmId": "/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.EventHub/clusters/enc-test",
    "encryption": {
      "keySource": "Microsoft.KeyVault",
      "keyVaultProperties": [
        {
          "identity": {
            "userAssignedIdentity": "/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.ManagedIdentity/userAssignedIdentities/ud1"
          },
          "keyName": "Samplekey",
          "keyVaultUri": "https://aprao-keyvault-user.vault-int.azure-int.net/"
        }
      ]
    },
    "geoDataReplication": {
      "locations": [
        {
          "locationName": "eastus",
          "roleType": "Primary"
        },
        {
          "locationName": "southcentralus",
          "roleType": "Secondary"
        }
      ],
      "maxReplicationLagDurationInSeconds": 300
    }
  }
}

Exempelsvar

{
  "name": "NamespaceSample",
  "type": "Microsoft.EventHub/Namespaces",
  "id": "/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.EventHub/namespaces/NamespaceSample",
  "identity": {
    "type": "SystemAssigned, UserAssigned",
    "principalId": "PrincipalIdGUID",
    "tenantId": "TenantIdGUID",
    "userAssignedIdentities": {
      "/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.ManagedIdentity/userAssignedIdentities/ud1": {
        "clientId": "ClientIdGUID",
        "principalId": "PrincipalIdGUID"
      },
      "/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.ManagedIdentity/userAssignedIdentities/ud2": {
        "clientId": "6a35400f-6ccb-4817-8f1a-ce19ea4523bc",
        "principalId": "ce2d5953-5c15-40ca-9d51-cc3f4a63b0f5"
      }
    }
  },
  "location": "East US",
  "properties": {
    "clusterArmId": "/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.EventHub/clusters/enc-test",
    "createdAt": "2021-02-16T22:36:06.107Z",
    "disableLocalAuth": false,
    "encryption": {
      "keySource": "Microsoft.KeyVault",
      "keyVaultProperties": [
        {
          "identity": {
            "userAssignedIdentity": "/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.ManagedIdentity/userAssignedIdentities/ud1"
          },
          "keyName": "Samplekey",
          "keyVaultUri": "https://sample-keyvault-user.vault-int.azure-int.net",
          "keyVersion": ""
        }
      ],
      "requireInfrastructureEncryption": false
    },
    "geoDataReplication": {
      "locations": [
        {
          "locationName": "eastus",
          "roleType": "Primary"
        },
        {
          "locationName": "southcentralus",
          "roleType": "Secondary"
        }
      ],
      "maxReplicationLagDurationInSeconds": 300
    },
    "isAutoInflateEnabled": false,
    "kafkaEnabled": false,
    "maximumThroughputUnits": 0,
    "metricId": "MetricGUID:NamespaceSample",
    "minimumTlsVersion": "1.2",
    "platformCapabilities": {
      "confidentialCompute": {
        "mode": "Disabled"
      }
    },
    "provisioningState": "Succeeded",
    "serviceBusEndpoint": "https://NamespaceSample.servicebus.windows-int.net:443/",
    "updatedAt": "2021-02-16T22:37:42.29Z",
    "zoneRedundant": false
  },
  "sku": {
    "name": "Standard",
    "capacity": 1,
    "tier": "Standard"
  },
  "tags": {}
}
{
  "name": "NamespaceSample",
  "type": "Microsoft.EventHub/Namespaces",
  "id": "/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.EventHub/namespaces/NamespaceSample",
  "identity": {
    "type": "SystemAssigned, UserAssigned",
    "principalId": "PrincipalIdGUID",
    "tenantId": "TenantIdGUID",
    "userAssignedIdentities": {
      "/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.ManagedIdentity/userAssignedIdentities/ud1": {
        "clientId": "ClientIdGUID",
        "principalId": "PrincipalIdGUID"
      },
      "/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.ManagedIdentity/userAssignedIdentities/ud2": {
        "clientId": "6a35400f-6ccb-4817-8f1a-ce19ea4523bc",
        "principalId": "ce2d5953-5c15-40ca-9d51-cc3f4a63b0f5"
      }
    }
  },
  "location": "East US",
  "properties": {
    "clusterArmId": "/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.EventHub/clusters/enc-test",
    "createdAt": "2021-02-16T22:36:06.107Z",
    "disableLocalAuth": false,
    "encryption": {
      "keySource": "Microsoft.KeyVault",
      "keyVaultProperties": [
        {
          "identity": {
            "userAssignedIdentity": "/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.ManagedIdentity/userAssignedIdentities/ud1"
          },
          "keyName": "Samplekey",
          "keyVaultUri": "https://sample-keyvault-user.vault-int.azure-int.net",
          "keyVersion": ""
        }
      ],
      "requireInfrastructureEncryption": false
    },
    "geoDataReplication": {
      "locations": [
        {
          "locationName": "eastus",
          "roleType": "Primary"
        },
        {
          "locationName": "southcentralus",
          "roleType": "Secondary"
        }
      ],
      "maxReplicationLagDurationInSeconds": 300
    },
    "isAutoInflateEnabled": false,
    "kafkaEnabled": false,
    "maximumThroughputUnits": 0,
    "metricId": "MetricGUID:NamespaceSample",
    "platformCapabilities": {
      "confidentialCompute": {
        "mode": "Disabled"
      }
    },
    "provisioningState": "Succeeded",
    "serviceBusEndpoint": "https://NamespaceSample.servicebus.windows-int.net:443/",
    "updatedAt": "2021-02-16T22:37:42.29Z",
    "zoneRedundant": false
  },
  "sku": {
    "name": "Standard",
    "capacity": 1,
    "tier": "Standard"
  },
  "tags": {}
}

NamespaceWithGeoDRCreate

Exempelbegäran

PUT https://management.azure.com/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.EventHub/namespaces/NamespaceGeoDRCreateSample?api-version=2026-01-01

{
  "location": "East US",
  "properties": {
    "geoDataReplication": {
      "locations": [
        {
          "locationName": "eastus",
          "roleType": "Primary"
        },
        {
          "locationName": "westus",
          "roleType": "Secondary"
        },
        {
          "locationName": "centralus",
          "roleType": "Secondary"
        }
      ],
      "maxReplicationLagDurationInSeconds": 60
    }
  }
}

Exempelsvar

{
  "name": "NamespaceGeoDRCreateSample",
  "type": "Microsoft.EventHub/Namespaces",
  "id": "/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.EventHub/namespaces/NamespaceGeoDRCreateSample",
  "location": "East US",
  "properties": {
    "clusterArmId": "/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.EventHub/clusters/enc-test",
    "createdAt": "2021-02-16T22:36:06.107Z",
    "disableLocalAuth": false,
    "geoDataReplication": {
      "locations": [
        {
          "locationName": "eastus",
          "replicaState": "Active",
          "roleType": "Primary"
        },
        {
          "locationName": "westus",
          "replicaState": "Active",
          "roleType": "Secondary"
        },
        {
          "locationName": "centralus",
          "replicaState": "Creating",
          "roleType": "Secondary"
        }
      ],
      "maxReplicationLagDurationInSeconds": 60
    },
    "isAutoInflateEnabled": false,
    "kafkaEnabled": false,
    "maximumThroughputUnits": 0,
    "metricId": "MetricGUID:NamespaceGeoDRCreateSample",
    "minimumTlsVersion": "1.2",
    "provisioningState": "Succeeded",
    "serviceBusEndpoint": "https://NamespaceGeoDRCreateSample.servicebus.windows-int.net:443/",
    "updatedAt": "2021-02-16T22:37:42.29Z",
    "zoneRedundant": false
  },
  "sku": {
    "name": "Standard",
    "capacity": 1,
    "tier": "Standard"
  },
  "tags": {}
}
{
  "name": "NamespaceGeoDRCreateSample",
  "type": "Microsoft.EventHub/Namespaces",
  "id": "/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.EventHub/namespaces/NamespaceGeoDRCreateSample",
  "location": "East US",
  "properties": {
    "clusterArmId": "/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.EventHub/clusters/enc-test",
    "createdAt": "2021-02-16T22:36:06.107Z",
    "disableLocalAuth": false,
    "geoDataReplication": {
      "locations": [
        {
          "locationName": "eastus",
          "replicaState": "Active",
          "roleType": "Primary"
        },
        {
          "locationName": "westus",
          "replicaState": "Active",
          "roleType": "Secondary"
        },
        {
          "locationName": "centralus",
          "replicaState": "Creating",
          "roleType": "Secondary"
        }
      ],
      "maxReplicationLagDurationInSeconds": 60
    },
    "isAutoInflateEnabled": false,
    "kafkaEnabled": false,
    "maximumThroughputUnits": 0,
    "metricId": "MetricGUID:NamespaceGeoDRCreateSample",
    "minimumTlsVersion": "1.2",
    "provisioningState": "Succeeded",
    "serviceBusEndpoint": "https://NamespaceGeoDRCreateSample.servicebus.windows-int.net:443/",
    "updatedAt": "2021-02-16T22:37:42.29Z",
    "zoneRedundant": false
  },
  "sku": {
    "name": "Standard",
    "capacity": 1,
    "tier": "Standard"
  },
  "tags": {}
}

Definitioner

Name Description
ConfidentialCompute
ConnectionState

ConnectionState-information.

createdByType

Den typ av identitet som skapade resursen.

EHNamespace

Enstaka namnområdesobjekt i lista eller hämta åtgärd

Encryption

Egenskaper för att konfigurera kryptering

EndPointProvisioningState

Etableringstillstånd för den privata slutpunktsanslutningen.

ErrorAdditionalInfo

Ytterligare information om resurshanteringsfelet.

ErrorDetail

Felinformationen.

ErrorResponse

Felsvaret anger att Event Hub-tjänsten inte kan bearbeta den inkommande begäran. Orsaken anges i felmeddelandet.

GeoDataReplicationProperties

Egenskaper för GeoDR-replikering

GeoDRRoleType

GeoDR-rolltyper

Identity

Egenskaper för att konfigurera identitet för Bring Your Own Keys

KeyVaultProperties

Egenskaper för att konfigurera keyVault-egenskaper

ManagedServiceIdentityType

Typ av hanterad tjänstidentitet.

Mode

Inställning för att aktivera eller inaktivera konfidentiell beräkning

NamespaceReplicaLocation

Egenskaper för namnområdesreplikering

PlatformCapabilities
PrivateEndpoint

PrivateEndpoint-information.

PrivateEndpointConnection

Egenskaper för PrivateEndpointConnection.

PrivateLinkConnectionStatus

Status för anslutningen.

PublicNetworkAccess

Detta avgör om trafik tillåts via offentligt nätverk. Som standard är den aktiverad.

Sku

SKU-parametrar som angetts för åtgärden skapa namnområde

SkuName

Namnet på den här SKU:n.

SkuTier

Faktureringsnivån för den här specifika SKU:n.

systemData

Metadata som rör skapande och senaste ändring av resursen.

TlsVersion

Den lägsta TLS-versionen för klustret som ska stödjas, t.ex. "1.2"

UserAssignedIdentity

Identifierat ordlistevärde.

userAssignedIdentityProperties

ConfidentialCompute

Name Typ Description
mode

Mode

Inställning för att aktivera eller inaktivera konfidentiell beräkning

ConnectionState

ConnectionState-information.

Name Typ Description
description

string

Beskrivning av anslutningstillståndet.

status

PrivateLinkConnectionStatus

Status för anslutningen.

createdByType

Den typ av identitet som skapade resursen.

Värde Description
User
Application
ManagedIdentity
Key

EHNamespace

Enstaka namnområdesobjekt i lista eller hämta åtgärd

Name Typ Standardvärde Description
id

string

Fullständigt kvalificerat resurs-ID för resursen. Ex – /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

identity

Identity

Egenskaper för BESKRIVNING av BYOK-identitet

location

string

Den geo-plats där resursen finns

name

string

Namnet på resursen

properties.alternateName

string

Alternativt namn som anges när alias- och namnområdesnamn är samma.

properties.clusterArmId

string

Kluster-ARM-ID för namnområdet.

properties.createdAt

string (date-time)

Den tid då namnområdet skapades.

properties.disableLocalAuth

boolean

Den här egenskapen inaktiverar SAS-autentisering för Event Hubs-namnområdet.

properties.encryption

Encryption

Egenskaper för beskrivning av BYOK-kryptering

properties.geoDataReplication

GeoDataReplicationProperties

Inställningar för geo-datareplikering för namnområdet

properties.ipV6Enabled

boolean

Värde som anger om IPv6 är aktiverat för offentlig nätverksåtkomst.

properties.isAutoInflateEnabled

boolean

Värde som anger om AutoInflate är aktiverat för eventhub-namnområdet.

properties.kafkaEnabled

boolean

Värde som anger om Kafka är aktiverat för eventhub-namnområdet.

properties.maximumThroughputUnits

integer (int32)

minimum: 0

Den övre gränsen för dataflödesenheter när AutoInflate är aktiverat bör värdet ligga inom 0 till 20 dataflödesenheter. ( '0' om AutoInflateEnabled = sant)

properties.metricId

string

Identifierare för Azure Insights-mått.

properties.minimumTlsVersion

TlsVersion

Den lägsta TLS-versionen för klustret som ska stödjas, t.ex. "1.2"

properties.platformCapabilities

PlatformCapabilities

properties.privateEndpointConnections

PrivateEndpointConnection[]

Lista över privata slutpunktsanslutningar.

properties.provisioningState

string

Etableringstillstånd för namnområdet.

properties.publicNetworkAccess

PublicNetworkAccess

Enabled

Detta avgör om trafik tillåts via offentligt nätverk. Som standard är den aktiverad.

properties.serviceBusEndpoint

string

Slutpunkt som du kan använda för att utföra Service Bus-åtgärder.

properties.status

string

Status för namnområdet.

properties.updatedAt

string (date-time)

Den tid då namnområdet uppdaterades.

properties.zoneRedundant

boolean

När du aktiverar den här egenskapen skapas ett Standard Event Hubs-namnområde i regioner som stöds tillgänglighetszoner.

sku

Sku

Egenskaper för sku-resurs

systemData

systemData

Azure Resource Manager-metadata som innehåller createdBy och modifiedBy information.

tags

object

Resursetiketter.

type

string

Resurstypen. T.ex. "Microsoft. Compute/virtualMachines" eller "Microsoft. Storage/storageAccounts"

Encryption

Egenskaper för att konfigurera kryptering

Name Typ Standardvärde Description
keySource enum:

Microsoft.KeyVault

Microsoft.KeyVault

Räknar upp det möjliga värdet för keySource för kryptering

keyVaultProperties

KeyVaultProperties[]

Egenskaper för KeyVault

requireInfrastructureEncryption

boolean

Aktivera infrastrukturkryptering (dubbel kryptering)

EndPointProvisioningState

Etableringstillstånd för den privata slutpunktsanslutningen.

Värde Description
Creating
Updating
Deleting
Succeeded
Canceled
Failed

ErrorAdditionalInfo

Ytterligare information om resurshanteringsfelet.

Name Typ Description
info

Ytterligare information.

type

string

Ytterligare informationstyp.

ErrorDetail

Felinformationen.

Name Typ Description
additionalInfo

ErrorAdditionalInfo[]

Ytterligare information om felet.

code

string

Felkoden.

details

ErrorDetail[]

Felinformationen.

message

string

Felmeddelandet.

target

string

Felmålet.

ErrorResponse

Felsvaret anger att Event Hub-tjänsten inte kan bearbeta den inkommande begäran. Orsaken anges i felmeddelandet.

Name Typ Description
error

ErrorDetail

Felobjektet.

GeoDataReplicationProperties

Egenskaper för GeoDR-replikering

Name Typ Description
locations

NamespaceReplicaLocation[]

En lista över regioner där repliker av namnområdet underhålls.

maxReplicationLagDurationInSeconds

integer (int32)

Den maximala godkända fördröjningen för datareplikeringsåtgärder från den primära repliken till ett kvorum med sekundära repliker. När fördröjningen överskrider det konfigurerade beloppet misslyckas åtgärder på den primära repliken. De tillåtna värdena är 0 och 5 minuter till 1 dag.

GeoDRRoleType

GeoDR-rolltyper

Värde Description
Primary
Secondary

Identity

Egenskaper för att konfigurera identitet för Bring Your Own Keys

Name Typ Description
principalId

string

ObjectId från KeyVault

tenantId

string

TenantId från KeyVault

type

ManagedServiceIdentityType

Typ av hanterad tjänstidentitet.

userAssignedIdentities

<string,  UserAssignedIdentity>

Egenskaper för användartilldelade identiteter

KeyVaultProperties

Egenskaper för att konfigurera keyVault-egenskaper

Name Typ Description
identity

userAssignedIdentityProperties

keyName

string

Namnet på nyckeln från KeyVault

keyVaultUri

string

Uri för KeyVault

keyVersion

string

Nyckelversion

ManagedServiceIdentityType

Typ av hanterad tjänstidentitet.

Värde Description
SystemAssigned
UserAssigned
SystemAssigned, UserAssigned
None

Mode

Inställning för att aktivera eller inaktivera konfidentiell beräkning

Värde Description
Disabled
Enabled

NamespaceReplicaLocation

Egenskaper för namnområdesreplikering

Name Typ Description
clusterArmId

string

Valfri egenskap som anger ARM-ID för klustret. Detta krävs om en namnområdesreplik ska placeras i ett dedikerat händelsehubbkluster

locationName

string

Azure-regioner där en replik av namnområdet underhålls

replicaState

string

tillstånd för namnområdesreplik.

roleType

GeoDRRoleType

GeoDR-rolltyper

PlatformCapabilities

Name Typ Description
confidentialCompute

ConfidentialCompute

PrivateEndpoint

PrivateEndpoint-information.

Name Typ Description
id

string

ARM-identifieraren för privat slutpunkt.

PrivateEndpointConnection

Egenskaper för PrivateEndpointConnection.

Name Typ Description
id

string

Fullständigt kvalificerat resurs-ID för resursen. Ex – /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

location

string

Den geo-plats där resursen finns

name

string

Namnet på resursen

properties.privateEndpoint

PrivateEndpoint

Den privata slutpunktsresursen för den här anslutningen.

properties.privateLinkServiceConnectionState

ConnectionState

Information om anslutningens tillstånd.

properties.provisioningState

EndPointProvisioningState

Etableringstillstånd för den privata slutpunktsanslutningen.

systemData

systemData

Azure Resource Manager-metadata som innehåller createdBy och modifiedBy information.

type

string

Resurstypen. T.ex. "Microsoft. Compute/virtualMachines" eller "Microsoft. Storage/storageAccounts"

PrivateLinkConnectionStatus

Status för anslutningen.

Värde Description
Pending
Approved
Rejected
Disconnected

PublicNetworkAccess

Detta avgör om trafik tillåts via offentligt nätverk. Som standard är den aktiverad.

Värde Description
Enabled
Disabled
SecuredByPerimeter

Sku

SKU-parametrar som angetts för åtgärden skapa namnområde

Name Typ Description
capacity

integer (int32)

minimum: 0

Event Hubs-dataflödesenheter för Basic- eller Standard-nivåer, där värdet ska vara 0 till 20 dataflödesenheter. Event Hubs Premium-enheter för Premium-nivån, där värdet ska vara 0 till 10 premiumenheter.

name

SkuName

Namnet på den här SKU:n.

tier

SkuTier

Faktureringsnivån för den här specifika SKU:n.

SkuName

Namnet på den här SKU:n.

Värde Description
Basic
Standard
Premium

SkuTier

Faktureringsnivån för den här specifika SKU:n.

Värde Description
Basic
Standard
Premium

systemData

Metadata som rör skapande och senaste ändring av resursen.

Name Typ Description
createdAt

string (date-time)

Tidsstämpeln för resursskapande (UTC).

createdBy

string

Identiteten som skapade resursen.

createdByType

createdByType

Den typ av identitet som skapade resursen.

lastModifiedAt

string (date-time)

Tidsstämpeln för senaste ändring av resurs (UTC)

lastModifiedBy

string

Identiteten som senast ändrade resursen.

lastModifiedByType

createdByType

Den typ av identitet som senast ändrade resursen.

TlsVersion

Den lägsta TLS-versionen för klustret som ska stödjas, t.ex. "1.2"

Värde Description
1.0
1.1
1.2
1.3

UserAssignedIdentity

Identifierat ordlistevärde.

Name Typ Description
clientId

string

Klient-ID för användartilldelad identitet

principalId

string

Huvud-ID för användartilldelad identitet

userAssignedIdentityProperties

Name Typ Description
userAssignedIdentity

string

ARM-ID för användaridentitet som valts för kryptering